Ubuntu

Downloads should go to ~/Downloads

Reported by ubuntu_demon on 2008-03-21
108
This bug affects 15 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Matthew Paul Thomas
Nominated for Karmic by Phylum
Xdg-utils
Fix Released
Medium
gnome-panel (Ubuntu)
Wishlist
Sebastien Bacher
xdg-user-dirs (Ubuntu)
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: xdg-user-dirs

XDG_DOWNLOAD_DIR should be set to "$HOME/Downloads" instead of "$HOME/Desktop" in the file ~/.config/user-dirs.dirs.

This folder should be the default download location for firefox and this folder should be bookmarked in nautilus by xdg-user-dirs-gtk (like Music,Videos,Pictures and Documents).

If the downloads are sent to the ~/Downloads folder , this makes it harder ,than earlier, to access the downloads.
 - There also needs to be a bookmark in the Places menu to allow quick access.

rationale :
less cluttered desktop
still easy to find your downloads

description: updated
description: updated
description: updated
Åskar (olskar) wrote :

I agree with this, how would one make this possible? What packages need to be changed? Where is it defined what folders should be in the homefolder?

Daniel T Chen (crimsun) on 2008-12-03
Changed in xdg-user-dirs:
importance: Undecided → Wishlist
Sense Egbert Hofstede (sense) wrote :

I agree with this. It's a usability bug, so I change the status to low.
The solution has already been written down clearly, so the bug can be marked as Triaged.

Changed in xdg-user-dirs:
assignee: nobody → ubuntu-desktop
status: New → Triaged
importance: Wishlist → Low
Changed in xdg-user-dirs:
assignee: ubuntu-desktop → desktop-bugs
Lei Zhang (thestig-google) wrote :

So can we drop 10_update_default_list.patch from xdg-user-dirs and fix this already? Most other popular distros [1] use $HOME/Downloads.

[1] Fedora 10, OpenSUSE 11, Mandriva 2009, Debian Lenny.

Severin Heiniger (severinh) wrote :

I know that "me-too" comments are not particularly useful, but I think it's time to make this rather trivial change. Are there any valid reasons that this hasn't been done in previous release cycles?

Severin Heiniger (severinh) wrote :

Well, looks like I should have read the comments at brainstorm.ubuntu.com. Are there any Ubuntu deverlopers (preferably usability experts ;-)) who could say a word or two about this issue?

Martin Albisetti (beuno) on 2009-06-22
Changed in hundredpapercuts:
status: New → Confirmed

Setting Importance to High, as a decision should be driven by data gathered from user testing.

We should also research how other desktop operating systems (including other distros) handle downloads.

Changed in hundredpapercuts:
importance: Undecided → High
milestone: none → round-7
Lei Zhang (thestig-google) wrote :

As I stated earlier [2] Fedora 10, OpenSUSE 11, Mandriva 2009, and Debian Lenny all use $HOME/Downloads. Ubuntu is the weird one. ;-)

[2] https://bugs.launchpad.net/ubuntu/+source/xdg-user-dirs/+bug/204567/comments/3

Have you read comments on Brainstorm? Some people (including me) like the fact that the Desktop folder is also Download folder. I know that other operating systems have such a folder, but hiding downloads can be... how to say... bad. It's like with apt cache dir - if you don't look there, you can find many packages that you don't need, which take so much disk space... I noticed that this behaviour on other systems combined with non-technical users leads to mess in the download directory.
When I download a file, I generally want to open it immediately after download is finished. I simply hit Ctrl+Alt+→ and here we are: I see my file. Navigating to Places>Downloads is for me a waste of time.

I propose... actually, is there any GUI for configuring the dirs? If no, I propose making such a tool. It shouldn't be complex. It would be helpful for all people which would like to change default folders (not only Download dir, because everyone has a different way of organizing their files).

I instead think that the desktop dir is useless.
I prefer KDE in which the desktop can host multiple directories, each
inside a plasma widgets

Conn O Griofa (psyke83) wrote :

roffik,

I understand your concern, but the truth is that the Desktop becomes very cluttered and ugly when used as a download folder. When you mount and dismount drives regularly, you will see that the placement of new downloads becomes fragmented, and when you reach the limit, the icons overlap. This is a case where I think that we should follow the specification, because *it makes sense*.

Note: aside from other Linux-based distributions that follow this specification, Windows Vista and 7 uses a $User/Downloads folder by default, which is used by Internet Explorer, but not Firefox 3. However, Firefox 3.5 on Windows will save downloads to $User/Downloads *even on Windows XP* (which does not create a Downloads folder by default). It really is Ubuntu lagging behind everybody else on this issue.

I would also suggest that we make proper use of the default user folders in Ubuntu (for example, F-Spot tries to import into a non-existent ~/Pictures folder by default, when we already have a ~/Photos folder available. This is a matter for another bug report, though, and maybe it's reported already).

roffik (roffik) wrote :

@Conn: Sometimes it leads to a mess on desktop, but sometimes it doesn't. It depends on how you organize your files. I'm not saying that this idea is completely without sense, but I think that some people would like to download files directly to their desktops.
I suppose that changes in usability should make everybody happy (if possible), so (again) I propose making an GUI app for configuring dirs. It would be useful in configuring dir for e.g. Photos, too.

I realize that "new" OSs (Vista, 7) have such a dir. I used to use them, and that's the reason why I'm writing these words.

(Firefox 3 uses Downloads folder, both in Vista and 7, as well as Chrome, but the latter uses the wrong one - maybe it has problems with i18n?)

Lei Zhang (thestig-google) wrote :

As one more reason to switch away from ~/Desktop, .desktop files are attack vectors for malware. [3] Saving them to ~/Desktop just makes it worse.

[3] http://cubist.cs.washington.edu/Security/2009/03/13/linux-desktop-security-vulnerabilities/

Phylum (metus-m) wrote :

This is very useful and should have been thought up years before today! It's already default on Fedora a year or so before. Leaving lots of stuff on the desktop is messy.

antistress (antistress) wrote :

Besides using the desktop as folder for downloaded files is not practical since desktop doesn't provide all the functionalities that Nautilus provides to handle files. Desktop doesn't have browsing tools !

Sashin (sashin) wrote :

How about do as I've done. Create an XDG directory in the home folder AND have a shortcut to that directory on the desktop.

Neil Wilson (neil-aldur) wrote :

Chrome on Windows uses a Download directory, but helpfully has a 'show all downloads' link as well. Can the Firefox download manager be altered so that it has a 'show all downloads' link?

Then the Download directory can be anywhere.

Andrew (and471) wrote :

I believe setting ~/Downloads as the Downloads directory is the best option. Desktop is for shortcuts/important files. It just gets cluttered (the opposite of what the default Ubuntu install does).

Attached is a debdiff to make this change

Changed in hundredpapercuts:
status: Confirmed → Fix Committed
Michael Rooney (mrooney) wrote :

I'd be very interested to see in a user study how many users could actually find their downloaded files if they didn't go to the Desktop. I think it would be best to leave it as the Desktop unless a link to Downloads was on the Desktop by default.

Conn O Griofa (psyke83) wrote :

rugby471,

Are you sure it's wise to mark it as Fix Committed? I had the impression that it meant that the fix was applied to the working branch (bzr or whatever), not when a patch is submitted to a bug report.

Michael,

On a resolution of 1024x768, the maximum amount of icons which can fit on the desktop is approximately 36. After this, icons will begin to overlap at the top-right corner of the desktop. Additionally, as removable and mounted disks are added or removed, their placement becomes erratic. How is this an acceptable situation?

In the Places menu we have Home Folder, Desktop, Documents, Music, Pictures* and Videos - we can add the Download folder to this list.

*Just to illustrate the current lack of cohesion, the default image management application (F-Spot) doesn't even use the Pictures folder by default, it tries to save to a non-existent Photos folder...

On Tue, Aug 11, 2009 at 4:42 PM, Conn<email address hidden> wrote:
> How is this an acceptable situation?

This real question to me is, how is hiding the downloads and confusing
users a better solution? 36 spaces for Downloads is a lot. If someone
has that many, they can easily move them where they want and create a
folder. The user who _can't find_ their downloads doesn't have as
simple and obvious of a solution, it seems to me.

Michael, why do you think it's so hard for users to find their downloads in the most obvious place for downloads.... ~/Downloads?

On Windows Vista, IE/Firefox saves downloads to c:\Users\username\Downloads. There's no link to the Download folder on the Windows desktop, yet Windows users can somehow get by. Now if we assume Ubuntu users are just as smart as Windows users, shouldn't they be able to figure it out? As I said many times before, all the other Linux distros save to ~/Downloads, and their users are not crying "oh noes, where's my downloads?"

Vish (vish) wrote :

One major issue is > Bug #294027 or Bug #262520

If we are adding more xdg folders , how are we making quick access for the user? Add to Places menu? or Shortcut on Desktop?

If we add to places menu, the users cannot add even 1 Custom bookmark to Places menu , this would start to make all the folders be clumped into a submenu! that wouldnt be user-friendly.

We need to first increase the limit of the Places menu bookmarks. [no need gconf keys , just set the limit higher]

Changed in hundredpapercuts:
status: Fix Committed → Triaged
Conn O Griofa (psyke83) wrote :

mac_v,

With regard to the Places item limitation, I agree. While I'm not so sure that adding a gconf entry is necessary, the Ubuntu gnome-panel package could patch the hardcoded value as mentioned in the upstream report. The limit of 5 bookmarks is bizarre; less than half of the menu height can be utilized, and yet, after installing a few extra applications, the System -> Preferences menu will overflow at a standard 1024x768 resolution.

We could raise the limit from 5 to 8 or perhaps a little more, and the menu will never overflow - unless you have a lot of partitions/devices present on your system (and why can't the list of devices turn into a submenu in the same way as bookmarks do?).

We don't need to fight with upstream - let's add the gnome-panel package to the also-affected list for this bug and see if the maintainer would be willing to make this very small change.

Andrew (and471) wrote :

@Conn, sorry made a mistake, set the wrong status. The Status is now set correctly.

As regards to the debate, the user WILL knw where their downloads are, Firefox by default will go to the Downloads folder, but the user can also select another location in the file chooser if they wish. They can therefore see that the folder will be the Downloads folder, and so I don't even feel it is neccessary to make a Bookmark for it.

Also with another papercut being fixed, the xdg folders will now have icons, so it is even more obvious to the user where the download folder is.

This method of not saving everything to their desktop also gets the user in a better habit of not clogging up their Desktop, but also getting used the ne concept of the 'Home Folder' if coming from another OS, I know this is one concept that I had to work out and so having a different folder for Downloads encourages the user to browse around a look at the file/folder structure of their home directory.

Conn is also right when he says "*Just to illustrate the current lack of cohesion, the default image management application (F-Spot) doesn't even use the Pictures folder by default, it tries to save to a non-existent Photos folder..."

This was a papercut which has now been fixed and so we should do the same wioth this bug. It is a non-standard place to save downloads and we should correct it.

Vish (vish) wrote :

> Conn wrote :(and why can't the list of devices turn into a submenu in the same way as bookmarks do?).

Actually the media menu does turn into its own submenu. , it happens when >5 partitions/drives are added.
I think the max items for both media and bookmarks individually is 5 , so we need to *only* change the limit for bookmarks.

> rugby471 wrote : I don't even feel it is neccessary to make a Bookmark for it.

I disagree, if the user has selected the option , "dont show the folder" ?
Users do not always work immediately on the files they download.
Having a bookmark for quick access is essential , else it will cripple this user group.

Sebastien Bacher (seb128) wrote :

why did you add a gnome-panel task? the xdg directories are already bookmarked and listed

Changed in gnome-panel (Ubuntu):
importance: Undecided → Wishlist
Conn O Griofa (psyke83) wrote :

Sebastien,

I added the gnome-panel task in case it is decided that we need to to increase MAX_ITEMS_OR_SUBMENU from 5 to something higher (currently it can only be hardcoded in the panel code). See comments #24 and #25.

Sebastien Bacher (seb128) wrote :

the key request is a duplicate

Changed in gnome-panel (Ubuntu):
status: New → Invalid
Sebastien Bacher (seb128) wrote :

bug #262520 is the other request

Conn O Griofa (psyke83) wrote :

Sebastien,

With all due respect, you're wrong to mark the task as invalid.

Bug #262520 is requesting to convert the hardcoded value into a gconf key. We don't need to participate in the debate over whether or not to make MAX_ITEMS_OR_SUBMENU user-customizable; we only need to increase the hardcoded value in the Ubuntu package to accommodate a larger set of initial Places bookmarks.

Vish (vish) wrote :

The other bug is not the same , this bug is to just increase the limit.
When we add the xdg_ downloads as a bookmark in the places menu , the user will not be able to add his own bookmarks and *not* trigger a submenu. This is not ideal.

Changed in gnome-panel (Ubuntu):
status: Invalid → New
Conn O Griofa (psyke83) wrote :

I'm attaching the proposed patch to be applied against the gnome-panel package*, which increases MAX_ITEMS_OR_SUBMENU from 5 to 8. When this patch is applied, the Places menu will show 8 bookmarks and/or drives before branching into a submenu.

Rationale:

Currently we have four initial bookmarks on a default installation (Documents, Music, Pictures and Videos), which allows space for one custom bookmark to be added before the bookmarks are branched into a submenu.

If we add a "Downloads" bookmark to the default installation, the Places menu will branch into a submenu after one custom bookmark is added. Increasing the threshold from 5 to 8 will allow for 3 extra bookmarks to be added before the submenu is branched, thus utilizing more space on the Places menu.

*This is a separate issue to bug #262520.

Conn O Griofa (psyke83) wrote :

Just to clarify: On a resolution of 1024x768, using the default setup (Sans 10pt at 96dpi), a menu can accommodate 25 entries before scrolling.

Considering the patch in comment #34, the maximum potential entries displayed by the Places menu will be 22. This is the breakdown:

1. Home Folder*
2. Desktop*
3-10. 8 bookmarks
11-18. 8 drives
19. Network
20. Connect to Server
21. Search for Files...
22. Recent Documents

*Home Folder and Desktop are not counted as bookmarks.

Some questions:
a) What is the minimum resolution of a netbook (considering UNR)? As long as the height is no less than 768, this patch won't harm netbook users.
b) Are mounted network shares added to the Places menu underneath "Connect to Server"? I can't test at the moment. If this is the case, the maximum potential entries would rise to 30, which may not be ideal.

Sebastien Bacher (seb128) wrote :

Typically netbook use 1024x600 I think and network mounts are added to the menu, let's see user browse 3 shares that would easily goes over screen

Sebastien Bacher (seb128) wrote :

There is 9 static entries, adding 5 bookmarks, 5 drivers, 5 mounts you are already over the screen

summary: - downloads should go to $HOME/Downloads : XDG_DOWNLOAD_DIR should be set
- to "$HOME/Downloads"
+ Downloads should go to ~/Downloads (set XDG_DOWNLOAD_DIR =
+ "$HOME/Downloads")
summary: - Downloads should go to ~/Downloads (set XDG_DOWNLOAD_DIR =
- "$HOME/Downloads")
+ Downloads should go to ~/Downloads
Martin Pitt (pitti) wrote :

Seems this is far from being unanimous. I dislike the proposed gnome-panel change a lot, and even if we want to do it it belongs into a separate report. However, for the original request of ~/Downloads, I'm okay with that if the majority of folks agrees that it is a good idea to have.

Changed in hundredpapercuts:
assignee: nobody → Sebastien Bacher (seb128)
Andrew (and471) wrote :

Just waiting for the debdiff to be applied (xdg-user-dirs_0.10-1ubuntu3.debdiff)

Changed in hundredpapercuts:
status: Triaged → In Progress
Changed in xdg-user-dirs (Ubuntu):
status: Triaged → In Progress
Vish (vish) wrote :

Martin Pitt , Sebastien Bacher ,
 Actually this situation is worse in Karmic and due to the Ubuntu One being installed as a default.
Now along with 1.Documents , 2.Music ,3.Pictures,4. Videos .... there is a 5. Ubuntu One

So adding the 6.Downloads to the bookmarks will definitely always collapse the places menu.

So, a limit of 7 is ideal which would allow the user 1 more place[as was before] or as Conn has said 8 , would be great :)

Conn O Griofa (psyke83) wrote :

Martin & Sebastien,

I'd just like to point out that the original proposal which was approved included the words "[...] and this folder should be bookmarked in nautilus by xdg-user-dirs-gtk".

If Ubuntu One is also destined to be added to xdg-users-dir-gtk (I don't see evidence of this on Karmic as of today), this is going to be a problem that will need some kind of resolution. If patching the panel's limit is not an option, then perhaps you should reconsider whether it is appropriate to add the Downloads and/or Ubuntu One bookmark.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdg-user-dirs - 0.10-1ubuntu3

---------------
xdg-user-dirs (0.10-1ubuntu3) karmic; urgency=low

  * debian/patches/10_update_default_list.patch:
    - removed
    debian/patches/11_download_desktop_compatibility.patch:
    - removed
    Solving (LP: #204567) by using ~/Downloads as
    Downloads directory (like all other major distros)

 -- Andrew Higginson <email address hidden> Tue, 11 Aug 2009 20:07:44 +0100

Changed in xdg-user-dirs (Ubuntu):
status: In Progress → Fix Released
Andrew (and471) wrote :

The original bug has been fixed, if there are outstanding bugs (like the bookmarks issue) they need to be filed seperately

Changed in hundredpapercuts:
status: In Progress → Fix Released
Vish (vish) wrote :

Rugby, kindly verify before changing status!

If the downloads are simply sent to the downloads folder , this makes it harder ,than earlier, to access the downoads.
If the bookmarks issue is not fixed , this is not a full papercut fix.

Changed in hundredpapercuts:
status: Fix Released → Fix Committed
status: Fix Committed → Triaged
Vish (vish) on 2009-09-02
description: updated
Vish (vish) wrote :

Another problem is , this wont work properly for users , who upgrade. the xdg folder ~/Downloads will not be added in the side pane.
For these users , they would have to manually add the bookmark to be listed in the sidepane.

Vish (vish) wrote :

Assigning it to Chris after discussing on irc,
Chris, if you are not able to implement your idea by Karmic , checkout comments #34 , #35 ,The limit can be simply raised.

Changed in gnome-panel (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
status: New → In Progress
Vish (vish) wrote :

mpt , Sebastien wanted to get a review from you , about how do you think the panel issue needs to be solved?
Increase the limit to make downloads available on the bookmarks? Or Chris has a nice idea for dynamic bookmarks , would be ideal , if he can get to it by Karmic ;)

Changed in hundredpapercuts:
assignee: Sebastien Bacher (seb128) → Matthew Paul Thomas (mpt)

In user-dirs.defaults, currently DOWNLOAD=Download. Setting DOWNLOAD=Downloads is more consistent with the plural form folder names in $HOME:

Plural (the rule):
  Templates
  Documents
  Music (arguable)
  Pictures
  Videos

Singular (exceptional cases):
  Desktop: Special case, corresponds to a place.
  Public: A bit strange. Maybe "Shared Items" is better, but I digress.

The DOWNLOAD directory contains discreet entities of a common type "Download". There are possibly many entities of type "Download" in the directory, so the folder should be called "Downloads".

Additionally, Mac OS, Windows Vista, and Windows 7 use a directory called "Downloads" so switchers may be slightly confused when they are looking for "Downloads" and see "Download" instead.

Same inconsistency in french for me

In Karmic alpha5, the Downloads directory is set to ~/Download when it should be ~/Downloads (with an 's' at the end). Who can fix this?

Andrew (and471) wrote :

Here is an attachment that fixes the ~/Download issue

Sebastien Bacher (seb128) wrote :

the Download one is default upstream and what is used on all other distros is that worth breaking on ubuntu?

antistress (antistress) wrote :

i've filled Bug #425472 : Download dir (xdg-user-dirs) should be translated into "Téléchargements" (in the plural)
i thought it was a mitake in translation but it seems to be the same in english apparently

I think that it's a matter of consistency :
in french we have :
Documents
Images
Videos
Modèles

Having Téléchargement without the plural looks like a bug to any user

Martin Pitt (pitti) wrote :

Nothing to sponsor here ATM, unsubscribing team.

Changed in xdg-utils:
status: Unknown → Confirmed

That makes sense to me. We need to add a new translation string an make sure the translators in the translation project have a change to translate it before releasing it though.

Created an attachment (id=29662)
Change the Download directory to Downloads

Update the directory naming and add the previous label to the compatibility table

Conn O Griofa (psyke83) wrote :

Sebastien,

Yes, it's worth breaking from upstream.

Using the singular "Download" is inconsistent. The only singular entries are "Home Folder" and "Desktop", because they represent a singular entity.

The rest of the xdg-user-dirs folders are named Documents, Music, Pictures and Videos, which are pluralized. We should keep things consistent, i.e. change Download to Downloads, or else change the rest to Document, Music, Picture and Video. It seems pretty obvious that the latter is not appropriate.

Also, it seems that on a fresh install of Alpha 6, the Download folder is placed at the bottom of the bookmarks list in Places; all folders should be sorted alphabetically descending (with exception to Home Folder, and possibly also Desktop).

Therefore I would suggest that "Fix Released" against the xdg-user-dirs task is not accurate.

Sebastien Bacher (seb128) wrote :

> Yes, it's worth breaking from upstream.

It's not so clear to me since that breaks compatibility with other linux installations

Changed in xdg-user-dirs (Ubuntu):
status: Fix Released → Triaged
Sebastien Bacher (seb128) wrote :

I've discussed that with alex on IRC let's do the change

Changed in xdg-user-dirs (Ubuntu):
status: Triaged → Fix Committed
Kenneth Wimer (kwwii) wrote :

I have added the naming spec as an affected project, this and the other xdg user dir names should be included in the spec I assume

Changed in xdg-utils:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdg-user-dirs - 0.10-1ubuntu4

---------------
xdg-user-dirs (0.10-1ubuntu4) karmic; urgency=low

  * debian/patches/91_cvs_download_rename.patch:
   - rename the download directory to Downloads (lp: #204567)

 -- Sebastien Bacher <email address hidden> Wed, 23 Sep 2009 15:52:57 +0200

Changed in xdg-user-dirs (Ubuntu):
status: Fix Committed → Fix Released
Changed in gnome-panel (Ubuntu):
assignee: Chris Coulson (chrisccoulson) → Sebastien Bacher (seb128)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-panel - 1:2.28.0-0ubuntu3

---------------
gnome-panel (1:2.28.0-0ubuntu3) karmic; urgency=low

  * debian/patches/71_change_bookmark_submenu_limit_value.patch:
    - set the bookmarks number before submenu to 8 which should let users
      configure some before hitting the limit (lp: #204567)

 -- Sebastien Bacher <email address hidden> Thu, 24 Sep 2009 11:00:47 +0200

Changed in gnome-panel (Ubuntu):
status: In Progress → Fix Released
Andrew (and471) on 2009-09-24
Changed in icon-naming-spec:
status: New → Invalid
Changed in hundredpapercuts:
status: Triaged → Fix Released
antistress (antistress) wrote :

Fixes will also be applied to l18n i guess ?

Milo Casagrande (milo) wrote :

Another comment from an i18n perspective. After a fresh daily Karmic installation, the "Downloads" directory is still in English and the only way to have it localized is to edit "it" by hand.

Sebastien Bacher (seb128) wrote :

could you give details on why you can't translate in on launchpad?

Milo Casagrande (milo) wrote :

Because on Launchpad there's no "Downloads" string, but only "Download", in the xdg-user-dirs template.

Jeremy Bicha (jbicha) wrote :

Could the Downloads folder be automatically created for upgrades?

Otherwise, I have to:
1. Create Downloads folder
2. Edit ~/.config/user-dirs.dirs with the line XDG_DOWNLOAD_DIR="$HOME/Downloads"
3. Run xdg-user-dirs-update
4. Logout and log back in to get the pretty icon for the Downloads folder
5. Open nautilus and drag the Downloads folder to the sidebar

Koen Verweij (kfverweij) wrote :

If the Downloads folder does not get created when upgrading from jaunty to karmic, this bug is in my opinion not actually fixed yet.

Andrew (and471) wrote :

I think the policy on upgrades is not to touch the user's settings

Changed in xdg-utils:
importance: Unknown → Medium
Changed in xdg-utils:
importance: Medium → Unknown
Changed in xdg-utils:
importance: Unknown → Medium
Rodney Dawes (dobey) on 2012-11-14
no longer affects: icon-naming-spec
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.